ISINF(3)

NAME
isinf, isnan, isnanf - test for infinity or not-a-number

LIBRARY
libc

SYNOPSIS
int
isinf(double);
int
isnan(double);
int
isnanf(float);

DESCRIPTION
The isinf() function returns 1 if the number is “\*(If”, otherwise 0.

The isnan() and isnanf() functions return 1 if the double or float (respectively) is “not-a-number”, otherwise 0.

SEE ALSO
math(3) IEEE Standard for Binary Floating-Point Arithmetic, ANSI, Std 754-1985.

BUGS
Neither the VAX nor the Tahoe floating point have distinguished values for either infinity or not-a-number. These routines always return 0 on those architectures.